package main

import (
	log "github.com/sirupsen/logrus"
)

// init logging parameter
func init() {
	log.SetLevel(log.DebugLevel)
}

func main() {
	myRegistry := Registry{
		"docker.registry",
		5000,
	}

	var manifests []ManifestImage

	manifests = append(manifests,
		NewManifest(
			"registry-ui",
			"latest",
			"../rasp/registry/ui/",
			[]string{"linux/arm/v6"},
		),
	)

	for _, manifest := range manifests {
		manifest.CreateLayers(myRegistry, "")
		manifest.CreateManifest(myRegistry)
	}
}
